Index: code/branches/pickup2/src/modules/pong/Pong.cc
===================================================================
--- code/branches/pickup2/src/modules/pong/Pong.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/pong/Pong.cc	(revision 6412)
@@ -42,5 +42,5 @@
     CreateEventName(PongCenterpoint, right);
     CreateEventName(PongCenterpoint, left);
-    
+
     CreateUnloadableFactory(Pong);
 
@@ -164,5 +164,5 @@
             else if (player == this->getLeftPlayer())
                 this->center_->fireEvent(FireEventName(PongCenterpoint, left));
-            
+
             if (player)
                 this->gtinfo_->sendAnnounceMessage(player->getName() + " scored");
Index: code/branches/pickup2/src/modules/pong/PongAI.cc
===================================================================
--- code/branches/pickup2/src/modules/pong/PongAI.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/pong/PongAI.cc	(revision 6412)
@@ -62,5 +62,5 @@
     {
         for (std::list<std::pair<Timer*, char> >::iterator it = this->reactionTimers_.begin(); it != this->reactionTimers_.end(); ++it)
-            (*it).first->destroy();
+            it->first->destroy();
     }
 
@@ -131,5 +131,5 @@
                 this->bOscillationAvoidanceActive_ = false;
             }
-            
+
             // If the ball is close enough, calculate another random offset to accelerate the ball
             if (!this->bChangedRandomOffset_)
@@ -206,9 +206,9 @@
             // calculate the time until the ball reaches the other side
             float totaltime = (-position.x + dimension.x / 2 * sgn(velocity.x)) / velocity.x;
-            
+
             // calculate wall bounce position (four possible solutions of the equation: pos.z + vel.z*t + acc.z/2*t^2 = +/- dim.z/2)
             float bouncetime = totaltime;
             bool bUpperWall = false;
-            
+
             if (acceleration.z == 0)
             {
@@ -270,5 +270,5 @@
                 // ball bounces after <bouncetime> seconds, update the position and continue
                 velocity.z = velocity.z + acceleration.z * bouncetime;
-                
+
                 if (bUpperWall)
                 {
@@ -281,5 +281,5 @@
                     velocity.z = fabs(velocity.z) - fabs(randomErrorZ);
                 }
-                    
+
                 position.x = position.x + velocity.x * bouncetime + randomErrorX;
                 this->ballEndPosition_ = position.z;
Index: code/branches/pickup2/src/modules/pong/PongBall.cc
===================================================================
--- code/branches/pickup2/src/modules/pong/PongBall.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/pong/PongBall.cc	(revision 6412)
@@ -105,5 +105,5 @@
                         velocity.z = distance * distance * sgn(distance) * PongBall::MAX_REL_Z_VELOCITY * this->speed_;
                         acceleration = this->bat_[1]->getVelocity() * this->accelerationFactor_ * -1;
-                        
+
                         this->fireEvent();
                     }
Index: code/branches/pickup2/src/modules/pong/PongScore.cc
===================================================================
--- code/branches/pickup2/src/modules/pong/PongScore.cc	(revision 5942)
+++ code/branches/pickup2/src/modules/pong/PongScore.cc	(revision 6412)
@@ -77,6 +77,6 @@
             std::string name2;
 
-            std::string score1 = "0";
-            std::string score2 = "0";
+            std::string score1("0");
+            std::string score2("0");
 
             if (player1)
@@ -114,9 +114,9 @@
             }
 
-            std::string output = "PONG";
+            std::string output("PONG");
             if (this->bShowName_ || this->bShowScore_)
             {
                 if (this->bShowLeftPlayer_ && this->bShowRightPlayer_)
-                    output = output1 + ":" + output2;
+                    output = output1 + ':' + output2;
                 else if (this->bShowLeftPlayer_ || this->bShowRightPlayer_)
                     output = output1 + output2;
